@font-face {
    font-family: 'moonhouse';
    src:  url('../assets/fonts/moonhouse-webfont.woff2') format('woff2'),
          url('../assets/fonts/moonhouse-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'spaceport_2006';
    src:  url('../assets/fonts/spaceport_2006-webfont.woff2') format('woff2'),
          url('../assets/fonts/spaceport_2006-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'spy_agency';
    src:  url('../assets/fonts/SpyAgency.woff2') format('woff2'),
          url('../assets/fonts/SpyAgency.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}


/* Reset */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* opacity: 0; */
}

a {
  color: var(--neon-blue);
  text-decoration: none;
  transition: filter 0.3s;
}

li {
  list-style: none;
}

li a {
  display: block;
  width: 100%;
  height: 100%;
}

img {
  height: 100%;
  width: 100%;
}

button {
  color: inherit;
  font: inherit;
  border: none;
  background: none;
}

button:hover {
  cursor: pointer;
}


/* Base Styles */

:root {
  --off-gray: rgb(220, 225, 230);
  --off-white: rgb(242, 244, 248);
  --light-blue: rgb(210, 255, 255);
  --light-glow: rgb(170, 255, 255, 0.7);
  --light-glow2: rgb(170, 255, 255, 0.9);
  --neon-blue: rgb(54, 227, 247);
  --slight-green: rgb(0, 255, 200);
  --muted-neon: rgb(0, 140, 179);
  --dark-blue: rgb(12, 46, 51);
  --off-black: rgb(15, 20, 25);
}

body {
  outline: 2px solid rgb(20, 20, 20, 0.25);
  background-color: black;
  color: var(--neon-blue);
  font-family: 'spaceport_2006';
  width: 100%;
  max-width: 1700px;  /* okay ill have to just keep it */
  margin: 0 auto;
  position: relative;
  overflow-y: clip;
}

html {
  scroll-behavior: smooth;
}

html, body {
  overflow-x: clip;
}

.background {
  background-image: url("../assets/images/star_background.png");
  background-size: cover;
  background-position-x: center;
  max-height: none;
  width: 100%;
  height: 100%;
  opacity: 0.1;
  position: absolute;
  z-index: -1;
  pointer-events: none;
}

a:hover {
  filter: drop-shadow(0px 0px 3px var(--light-glow2));
  /* transform: scale(1.05); */
}

.hidden {
  visibility: hidden;
  position: absolute;
}

::selection {
  background: rgb(12, 46, 51, 0.5);
  color: var(--slight-green);
}

.fu {
  opacity: 0;
  transform: translateY(1.5rem);
  transition: opacity 1s ease, transform 1s ease;
}

.fu.show {
  opacity: 1;
  transform: translateY(0);
}


/* Header */

header {
  background-color: rgb(0, 0, 0, 0.75);
  box-shadow: 0px 2px 20px rgb(0, 0, 0, 0.75);
  font-family: 'spy_agency';
  height: 6rem;
  display: flex;
  align-items: center;
  position: relative;
  z-index: 12;
}

.logo {
  height: 75%;
  width: auto;
  margin: 0 auto .5rem .5rem;
}

.logo a:hover {
  filter: drop-shadow(0px 0px 0px rgb(150, 255, 255, 0.8));
  transform: none;
  transition: filter 0.8s;  /* then snaps back */
}

.menu-toggle {
  background-color: inherit;
  border: none;
  width: 2.75rem;
  height: 2.75rem;
  margin-right: 1rem;
}

.menu-toggle:hover {
  filter: drop-shadow(0px 0px 2px var(--light-glow));
}

.overlay-menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(0, 0, 0, 0.94);
  z-index: 10;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.8s, visibility 0.8s;
}

.overlay-menu.active {
  opacity: 1;
  visibility: visible;
}

.overlay-menu ul {
  font-size: 1.5rem;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.overlay-menu > ul > li > a {
  display: block;
  padding: 0.75rem;
}

.tournament {
  position: relative;
  display: flex;
  align-items: center;
}

.tournament > a::before {
  content: url('../assets/images/trophy.svg');
  position: absolute;
  left: -1rem;
}

.tournament > a::after {
  content: url('../assets/images/trophy.svg');
  position: absolute;
  right: -1rem;
}

.download {
  margin-top: 0.75rem;
}

.download a:first-child {
  background-color: var(--slight-green);
  color: var(--off-black);
  border-radius: 0.25rem;
  padding: 0.75rem 1.5rem;
  position: relative;
  overflow: hidden;
}

.download a::before {
  content: "";
  position: absolute;
  top: 0;
  left: -190%;  /* the extra 90% adds a slight delay */
  width: 100%;
  height: 100%;
  background: linear-gradient(120deg, transparent, rgb(255, 255, 255, 0.4), transparent);
}

.download a:hover {
  transform: none;
}

.download a:hover::before {
  left: 100%;
  transition: left 990ms;
}

.socials button {
  padding: 0.75rem;
}

.dropdown {
  position: relative;
}

.dropdown::after {
  content: url('../assets/images/dropdown-arrow.svg');
  opacity: 0.25;
  position: absolute;
  right: -1rem;
  top: 0.5rem;
  transform: rotate(-90deg);
}

.socials ul {
  background-color: black;
  border: 2px solid var(--muted-neon);
  padding: 0.25rem 0;
  width: 4.25rem;
  height: fit-content;
  display: none;
  position: absolute;
  bottom: -5.75rem;
  right: -5rem;
  z-index: 2;
}

.socials.active ul {
  display: block;
}

.socials li {
  width: 3rem;
  height: 3rem;
  margin: 0 auto;
}

.socials li + li {
  margin-top: 0.5rem;
}

.socials img[alt="x-twitter"] {
  transform: scale(0.8);
}


/* Hero */

.hero {
  background-image: url('../assets/images/header_banner.png');
  background-size: cover;
  background-position: center center;
  background-color: rgb(0, 0, 0, 0.2);
  background-blend-mode: multiply;
  height: clamp(20rem, 60vw, 35rem);
  width: auto;
  position: relative;
  overflow: clip;
  --entry-anim: 3s ease-in-out;
  animation: blur-in var(--entry-anim);
  animation-fill-mode: both;
  animation-delay: 0.1s;
}

@keyframes blur-in {
  0% {
    /* filter: blur(1px); */
    background-color: rgb(0, 0, 0, 1.0);
  }
  33% {
    /* filter: blur(0px); */
    background-color: rgb(0, 0, 0, 0.0);
  }
  66% {
    /* filter: blur(0px); */
    background-color: rgb(0, 0, 0, 0.2);
  }
}


.asta-wrap {
  width: 100%;
  height: 100%;
}

#ASTA {
  width: min(37.5rem, 100%);
  height: auto;
  position: relative;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  opacity: 0;
  animation: logo-fade-in var(--entry-anim) forwards;
  animation-delay: 0.1s;
}

@keyframes logo-fade-in {
  0% {
    filter: drop-shadow(0px 0px 10px rgba(255, 255, 255, 0.0));
    opacity: 0;
  }
  33% {
    filter: drop-shadow(0px 0px 10px rgba(255, 255, 255, 0.75));
    opacity: 1;
  }
  100% {
    filter: drop-shadow(0px 0px 10px rgba(0, 5, 20, 0.5));
    opacity: 1;
  }
}

.asta-wrap::before {
  content: "";
  position: absolute;
  top: 28.4%;
  left: 42.3%;
  width: 20%;
  height: 20%;
  border-radius: 50%;
  background: white;
  opacity: 0;
  filter: blur(20px);
  z-index: 1;
  animation: logo-glow var(--entry-anim) forwards;
  animation-delay: 0.1s;
}

@keyframes logo-glow {
  0% {
    scale: 3;
    opacity: 0;
  }
  30% {
    scale: 5;
    opacity: 0.1;
  }
  100% {
    scale: 3;
    opacity: 0;
  }
}

#JJ,
#CMB {
  display: none;
  animation-delay: 3s !important;
  animation-fill-mode: both !important;  /* i hafta stoop */
}

#JJ {
  animation: fade-in-right 1s ease;
}

@keyframes fade-in-right {
  0% {
    opacity: 0;
    translate: -2rem 0;
    visibility: hidden;
  }
  100% {
    opacity: 0.75;
  }
}

#CMB {
  animation: fade-in-left 1s ease;
}

@keyframes fade-in-left {
  0% {
    opacity: 0;
    translate: 3rem 0;
    visibility: hidden;
  }
  100% {
    opacity: 0.75;
  }
}

.buttons {
  text-align: center;
  width: 100%;
  position: absolute;
  top: 65%;
  left: 50%;
  transform: translate(-50%, 0);
  animation: fade-in-up 1s ease;
  animation-delay: 2.5s;
  animation-fill-mode: both;
}

@keyframes fade-in-up {
  0% {
    opacity: 0;
    translate: 0 1rem;
    visibility: hidden;
  }
  100% {
    opacity: 1;
  }
}

.view-trailer,
.buy-now {
  background: var(--light-glow);
  color: var(--off-black);
  font-size: 0.875rem;
  border-radius: 0.4rem;
  box-shadow: 2px 2px 5px 2px rgb(0, 0, 0, 0.5);
  width: 8.25rem;
  height: 2.25rem;
  position: relative;
  overflow: hidden;
}

.view-trailer {
  margin-right: clamp(1rem, 3%, 2rem);
}

.view-trailer::before,
.buy-now::before {
  content: "";
  position: absolute;
  top: 0;
  left: -190%;  /* the extra 90% adds a slight delay */
  width: 100%;
  height: 100%;
  background: linear-gradient(120deg, transparent, rgb(255, 255, 255, 0.25), transparent);
}

.view-trailer:hover::before,
.buy-now:hover::before {
  left: 100%;
  transition: left 790ms;
}


/* Tagline */

.tagline {
  box-shadow: 0px -2px 20px rgb(0, 0, 0, 0.75);
  text-align: center;
  padding: 6.25rem 0 4.375rem 0;
  position: relative;
  z-index: 10;
}

h2 {
  color: var(--off-white);
  font-size: 1.25rem;
  font-weight: 400;
}

h2 > span {
  background-image: linear-gradient(var(--neon-blue) 25%, var(--off-white) 100%);
  background-clip: text;
  color: transparent;
  font-family: 'spy_agency';
  font-size: 2.2rem;
}


/* Features */

.feat-unit {
  margin-bottom: 5rem;
  position: relative;
  z-index: 11;
}

.one,
.three,
.five {
  background-image: linear-gradient(120deg, rgb(150, 222, 255, 0.2), rgb(150, 222, 255, 0.1), transparent, transparent);
}

.two,
.four {
  background-image: linear-gradient(240deg, rgb(150, 222, 255, 0.2), rgb(150, 222, 255, 0.1), transparent, transparent);
}


.feat-visuals {
  padding: 0.5rem;
  height: 81vw;
}

.feat-visuals > div {
  background-color: rgb(0, 140, 179, 0.5);
  background-blend-mode: multiply;
  box-shadow: 0px 0px 6px 0px rgb(0, 140, 179);
  border-radius: 0.5rem;
}

.feat-visuals > div:hover {
  background-blend-mode: normal;
  box-shadow: 0px 0px 6px 0px var(--light-glow);
}

.one > .feat-visuals {
  display: grid;
  grid-template-rows: 1fr 1fr 1fr 1fr;
  grid-template-columns: repeat(8, 1fr);
  gap: 0.75rem;
}
#triball {
  background-image: url("../assets/images/posters/Triball_2.png");
  grid-row: 1;
  grid-column: 1 / 4;
}
#zappaball {
  background-image: url("../assets/images/posters/Zappaball.png");
  grid-row: 1;
  grid-column: 4 / 6;
}
#laballrinth {
  background-image: url("../assets/images/posters/Laballrinth.png");
  grid-row: 1;
  grid-column: 6 / 9;
}
#meteor-ball {
  background-image: url("../assets/images/posters/Meteorball.png");
  grid-row: 2;
  grid-column: 1 / 4;
}
#space-8 {
  background-image: url("../assets/images/posters/Space_8.png");
  grid-row: 2;
  grid-column: 4 / 7;
}
#squareball {
  background-image: url("../assets/images/posters/Squareball_3.png");
  background-size: 110% 100%;
  background-position: center;
  grid-row: 2;
  grid-column: 7 / 9;
}
#one-hole {
  background-image: url("../assets/images/posters/One_Hole.png");
  grid-row: 3;
  grid-column: 1 / 3;
}
#untouchaball {
  background-image: url("../assets/images/posters/Untouchaball.png");
  grid-row: 3;
  grid-column: 3 / 6;
}
#travel-ball {
  background-image: url("../assets/images/posters/Travelball.png");
  grid-row: 3;
  grid-column: 6 / 9;
}
#infectaball {
  background-image: url("../assets/images/posters/Infectaball.png");
  grid-row: 4;
  grid-column: 1 / 4;
}
#gravity-8 {
  background-image: url("../assets/images/posters/Gravity_8.png");
  grid-row: 4;
  grid-column: 4 / 6;
}
#eight-invaders {
  background-image: url("../assets/images/posters/8_Invaders.png");
  grid-row: 4;
  grid-column: 6 / 9;
}

.one > .feat-visuals > div {
  background-size: 100% 100%;
}

.three > .feat-visuals {
  display: grid;
  grid-template-rows: 1fr 1fr;
  grid-template-columns: repeat(10, 1fr);
  gap: 0.75rem;
}
#triball-game {
  background-image: url("../assets/images/triball_game.png");
  grid-column: 1 / 8;
}
#asta-ai {
  background-image: url("../assets/images/opponent.png");
  grid-column: 8 / 11;
}
#asta-stats {
  background-image: url("../assets/images/asta-stats.png");
  grid-column: 1 / 4;
}
#bank-shot {
  background-image: url("../assets/images/bank-shot.png");
  grid-column: 4 / 11;
}

.three > .feat-visuals > div {
  background-size: cover;
  background-position: center top;
}

.four > .feat-visuals {
  display: grid;
  grid-template-rows: 1fr 1fr;
  grid-template-columns: repeat(10, 1fr);
  gap: 0.75rem;
}
#asta-tourney {
  background-image: url("../assets/images/thiscanbechangedlater.png");
  grid-column: 1 / 4;
}
#astazap-game {
  background-image: url("../assets/images/game_of_ghosts.png");
  grid-column: 4 / 11;
}
#astaghost-game {
  background-image: url("../assets/images/game_of_astazap.png");
  grid-column: 1 / 8;
}
#won-game {
  background-image: url("../assets/images/jj_always_wins.png");
  grid-column: 8 / 11;
}

.four > .feat-visuals > div {
  background-size: cover;
  background-position: center top;
}

.two > .feat-visuals > div,
.four > .feat-visuals > div {
  background-size: cover;
  width: 100%;
  height: 100%;
}

.two > .feat-visuals > div {
  background-image: url("../assets/images/funny_jaxon.png");
  background-position: center 40%;  /* worked out well, actually */
}

.four > .feat-visuals > div {
  background-image: url("../assets/images/winner.png");
  background-position: top center;
}

.one > .feat-visuals > div:hover {
  transform: scale(1.025);
  /* transform: scale(1); */
}


.feat-text {
  padding: 4rem 0 0 2.5rem;
}

.feat-header,
.feat-headline,
.feat-points,
.feat-button {
  margin-bottom: 1.8rem;
}

.feat-header {
  color: var(--neon-blue);
  font-size: 1.5rem;
  font-weight: normal;
  text-shadow: 2px 2px 2px var(--off-black);
  width: 70%;
  min-width: 20rem;
}

.feat-header > span {
  color: var(--off-white);
  font-family: 'spy_agency';
  font-size: 2.25rem;
}

.three > .feat-text > .feat-header {
  width: 100%;
}

.feat-header {
  animation: pulsate 2.5s linear;
  animation-iteration-count: infinite;
}

@keyframes pulsate {
  0% {color: var(--neon-blue)}
  15% {color: rgb(125, 242, 255)}
  30% {color: var(--neon-blue)}
  100% {color: var(--neon-blue)}
}

.feat-headline,
.feat-points {
  color: var(--off-gray);
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1.0625rem;
  text-shadow: 1px 1px 2px var(--off-black);
  width: 80%;
}

.feat-points > li {
  /* list-style: square; */
  margin-bottom: 0.6rem;
}

.feat-button {
  background-color: var(--neon-blue);
  color: var(--off-black);
  padding: 0.5rem 1rem;
  border-radius: 0.25rem;
  margin-left: 0;
  position: relative;
  overflow: hidden;
  transition: box-shadow 0.3s;
}

.feat-button::before {
  content: "";
  position: absolute;
  top: 0;
  left: -190%;  /* the extra 90% adds a slight delay */
  width: 100%;
  height: 100%;
  background: linear-gradient(120deg, transparent, rgb(255, 255, 255, 0.4), transparent);
}

.feat-button:hover::before {
  left: 100%;
  transition: left 790ms;
}

.feat-button:hover {
  box-shadow: 0px 0px 6px var(--light-glow);
}

.two > .feat-text > .feat-headline {
  line-height: 1.5;
}

.two > .feat-text > .feat-headline + .feat-headline {
  margin-top: -0.5rem;
}

.paypal {
  font-size: 0.8rem;
}


/* Reviews */

.reviews {
  padding-bottom: 7rem;
}

.reviews::before {
  content: '';
  background-image: url("../assets/images/starball(small).png");
  background-repeat: repeat-x;
  display: block;
  width: 18.125rem;
  height: 3.125rem;
  margin: 10rem auto 0 auto;
  /* opacity: 0.75; */
  filter: brightness(0.9);
}

.reviews-header {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 2rem;
  text-align: center;
  padding: 1.75rem 2rem 3rem 2rem;
}

.reviews-header > b {
  font-weight: 1000;
}

.reviews-container {
  padding: 0 3rem;
}

.reviews-list {
  display: flex;
  align-items: first baseline;
  overflow: hidden;
  padding: 1rem 0;
}

.rev-unit {
  text-align: center;
  flex-shrink: 0;
  border-radius: 0.5rem;
  padding: 1rem;
  width: 16rem;
  margin: 0 1.25rem;
  transition: background-color 0.2s ease, transform 0.2s ease, translate 0.6s ease;
}

.rev-unit:hover {
  background-color: rgb(170, 255, 255, 0.1);
  /* box-shadow: 0px 0px 6px 0px var(--light-glow); */
  transform: scale(1.075);
}

.rev-text,
.rev-author {
  text-shadow: 1px 1px 2px var(--off-black);
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1.125rem;
}

.rev-text {
  color: var(--off-gray);
  line-height: 1.5;
  margin-bottom: 1rem;
}

.rev-author {
  color: var(--muted-neon);
  font-size: 1rem;
}


/* Footer */

footer {
  background-color: rgb(0, 0, 0, 1);
  display: flex;
  flex-direction: column;
  align-items: center;
}

.back-to-top {
  color: gray;
  text-decoration: underline;
  text-align: center;
  display: block;
  width: 100%;
  position: relative;
  transform: translate(0, -150%);
}

.back-to-top:hover {
  filter: none;
}

.footer-logo {
  margin: 5rem 0 2rem 0;
  width: min(31.25rem, 80%);
}

.download-on-steam {
  background-color: var(--neon-blue);
  color: var(--off-black);
  padding: 0.5rem 1rem;
  border-radius: 0.25rem;
  margin-bottom: 7.5rem;
  position: relative;
  overflow: hidden;
  transition: box-shadow 0.3s;
}

.download-on-steam::before {
  content: "";
  position: absolute;
  top: 0;
  left: -190%;  /* the extra 90% adds a slight delay */
  width: 100%;
  height: 100%;
  background: linear-gradient(120deg, transparent, rgb(255, 255, 255, 0.4), transparent);
}

.download-on-steam:hover::before {
  left: 100%;
  transition: left 990ms;
}

.download-on-steam:hover {
  box-shadow: 0px 0px 6px var(--light-glow);
}


.cheesy-face {
  margin: 2rem 0 1.5rem 0;
  width: 15.5rem;
}

.poweredby {
  margin-bottom: 2.5rem;
}

.poweredby-text {
  color: rgb(54, 227, 247, 0.75);
  text-align: center;
  margin-bottom: 1rem;
}

.poweredby-list {
  display: flex;
  gap: 1.25rem;
}

.poweredby-list > li {
  height: 2.5rem;
}

.footer-nav {
  width: 80%;
  max-width: 50rem;
  margin: 0 auto 1rem auto;
}

.footer-links {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  row-gap: 0.5rem;
}

.footer-links > li > a {
  color: rgb(54, 227, 247, 0.5);
  font-size: 0.875rem;
  padding: 0.5rem;
}

.footer-links > li > a:hover {
  filter: none;
}

.footer-links > li:hover {
  box-shadow: 0px 0px 3px var(--light-glow2);
  border-radius: 2px;
}


/* Media Queries */

@media screen and (min-width: 501px) {
  .view-trailer,
  .buy-now {
    font-size: 1rem;
    width: 9.25rem;
    height: 2.25rem;
  }

  h2 {
    font-size: 1.6rem;
  }
  h2 > span {
    font-size: 2.85rem;
  }

  .feat-visuals {
    height: 60vw;
    gap: 1rem;
  }

  .feat-unit.one > .feat-visuals > div {
    box-shadow: 0px 0px 6px rgb(0, 140, 179);
  }
  .feat-unit.one > .feat-visuals > div:hover {
    box-shadow: 0px 0px 6px var(--light-glow);
  }

  .one > .feat-visuals {
    grid-template-rows: 1fr 1fr 1fr;
  }
  #infectaball,
  #gravity-8,
  #eight-invaders {
    display: none;
  }

  #triball-game {
    grid-column: 1 / 6;
  }
  #asta-ai {
    grid-column: 6 / 11;
  }
  #asta-stats {
    grid-column: 1 / 6;
  }
  #bank-shot {
    grid-column: 6 / 11;
  }

  #asta-tourney {
    grid-column: 1 / 5;
  }
  #astazap-game {
    grid-column: 5 / 11;
  }
  #astaghost-game {
    grid-column: 1 / 7;
  }
  #won-game {
    grid-column: 7 / 11;
  }
}


@media screen and (min-width: 800px) {

  /* Header */

  header {
    /* font-size: clamp(1rem, 1.5vw, 1.25rem); */
    font-weight: normal;
  }

  .logo {
    margin-right: 2rem;
  }

  .menu-toggle {
    display: none;
  }

  header > nav {
    flex: 1;
  }

  .header-links {
    margin-right: 1rem;
    display: flex;
    align-items: center;
  }

  .header-links > li > a,
  .socials > button {
    padding: 0.7625rem;
    display: block;
  }

  .dropdown::after {
    top: 1.25rem;
    right: 0;
    left: 37%;
    transform: none;
  }

  .socials {
    margin-right: auto;
  }

  .socials ul {
    padding: 0 0.5rem 0.5rem 0.5rem;
    height: fit-content;
    width: fit-content;
    display: none;
    position: absolute;
    bottom: -150%;
    right: -40%;
    z-index: 2;
    align-items: center;
    gap: 0.25rem;
  }

  .socials.active ul {
    display: flex;
  }

  .socials li {
    width: 2.5rem;
    height: 2.5rem;
  }

  .socials li:nth-child(1) {
    margin-bottom: -0.5rem;
  }

  .socials li:nth-child(3) {
    margin-right: 0.25rem;
    transform: scale(0.9);
  }

  .download {
    margin-top: 0;
  }

  .download > a:first-child {
    padding: 0.5rem 1rem;
  }

  .tournament {
    width: 4rem;
    height: 4rem;
    margin: 0;
  }

  .tournament > a::before {
    width: 1rem;
    top: 33%;
    left: 20%;
    transform: scale(1.75);
  }

  .tournament > a::after {
    display: none;
  }

  /* Hero */

  .hero {
    height: clamp(20rem, 40vw, 35rem);
  }

  #ASTA {
    width: max(31.25rem, 50%);
  }

  #JJ,
  #CMB {
    display: block;
    opacity: 0.75;
    height: clamp(15rem, 37.5vw, 35rem);
    width: auto;
    position: absolute;
    bottom: 0;
  }

  #JJ {
    left: -6%;
  }

  #CMB {
    right: -2%;
  }

  /* Features */

  .feat-visuals {
    height: 47vw;
  }

  .one > .feat-visuals {
    grid-template-columns: repeat(10, 1fr);
  }
  #infectaball,
  #gravity-8,
  #eight-invaders {
    display: block;
  }
  #gravity-8 {
    background-image: url("../assets/images/posters/Gravity_8.png");
    grid-row: 1;
    grid-column: 1 / 3;
  }
  #triball {
    grid-column: 3 / 6;
  }
  #zappaball {
    grid-column: 6 / 8;
  }
  #laballrinth {
    grid-column: 8 / 11;
  }
  #infectaball {
    background-image: url("../assets/images/posters/Infectaball(small).png");
    grid-row: 3;
    grid-column: 6 / 8;
  }
  #space-8 {
    grid-column: 6 / 9;
  }
  #squareball {
    grid-column: 9 / 11;
  }
  #eight-invaders {
    background-image: url("../assets/images/posters/8_Invaders(small).png");
    grid-row: 2;
    grid-column: 4 / 6;
  }
  #travel-ball {
    grid-column: 8 / 11;
  }

  /* Reviews */

  .reviews {
    padding-bottom: 10rem;
  }

  .reviews-header {
    padding: 2rem 3.5rem 4rem 3.5rem;
  }

  .reviews::before {
    background-image: url("../assets/images/starball(60x60).png");
    width: 22.75rem;
    height: 4rem;
    margin: 12rem auto 0 auto;
  }

  /* Footer */
}


@media screen and (min-width: 1000px) {
  .home {
    margin-left: initial;  /* auto if you want it centered */
  }

  .feat-unit {
    width: 80%;
    display: block;
    margin-bottom: 10rem;
  }

  .one,
  .three,
  .five {
    margin-left: auto;
  }

  .two,
  .four {
    margin-right: auto;
  }

  .feat-visuals {
    height: 40vw;
  }

  .feat-button {
    margin-top: 0.4rem;
    margin-bottom: 3rem;
  }
}

@media screen and (min-width: 1350px) {
  .tagline {
    padding: 8rem 0;
  }

  .feat-unit {
    width: clamp(77rem, 85%, 85rem);
    display: flex;
    align-items: stretch;
  }

  .feat-header {
    width: 100%;
  }

  .feat-visuals {
    flex: 3;
    height: auto;
  }

  .one > .feat-visuals {
    grid-template-rows: 1fr 1fr 1fr 1fr;
    grid-template-columns: repeat(8, 1fr);
    order: 2;
  }
  #infectaball,
  #gravity-8,
  #eight-invaders {
    display: block;
  }
  #infectaball {
    background-image: url("../assets/images/posters/Infectaball.png");
    grid-row: 4;
    grid-column: 1 / 4;
  }
  #gravity-8 {
    background-image: url("../assets/images/posters/Gravity_8.png");
    grid-row: 4;
    grid-column: 4 / 6;
  }
  #eight-invaders {
    background-image: url("../assets/images/posters/8_Invaders.png");
    grid-row: 4;
    grid-column: 6 / 9;
  }
  #triball {  /* back to what it originally was */
    grid-column: 1 / 4;
  }
  #zappaball {
    grid-column: 4 / 6;
  }
  #laballrinth {
    grid-column: 6 / 9;
  }
  #meteor-ball {
    grid-column: 1 / 4;
  }
  #space-8 {
    grid-column: 4 / 7;
  }
  #squareball {
    grid-column: 7 / 9;
  }
  #one-hole {
    grid-column: 1 / 3;
  }
  #untouchaball {
    grid-column: 3 / 6;
  }
  #travel-ball {
    grid-column: 6 / 9;
  }

  .three > .feat-visuals {
    order: 2;
  }
  #triball-game {
    background-image: url("../assets/images/triball_game.png");
    grid-column: 1 / 8;
  }
  #asta-ai {
    background-image: url("../assets/images/opponent.png");
    grid-column: 8 / 11;
  }
  #asta-stats {
    background-image: url("../assets/images/asta-stats.png");
    grid-column: 1 / 4;
  }
  #bank-shot {
    background-image: url("../assets/images/bank-shot.png");
    grid-column: 4 / 11;
  }

  #asta-tourney {
    background-image: url("../assets/images/thiscanbechangedlater.png");
    grid-column: 1 / 4;
  }
  #astazap-game {
    background-image: url("../assets/images/game_of_ghosts.png");
    grid-column: 4 / 11;
  }
  #astaghost-game {
    background-image: url("../assets/images/game_of_astazap.png");
    grid-column: 1 / 8;
  }
  #won-game {
    background-image: url("../assets/images/jj_always_wins.png");
    grid-column: 8 / 11;
  }

  .feat-text {
    flex: 2.25;
  }
}
